// http://ionicframework.com/docs/theming/


// App Global Sass
// --------------------------------------------------
// Put style rules here that you want to apply globally. These
// styles are for the entire app and not just one component.
// Additionally, this file can be also used as an entry point
// to import other Sass files to be included in the output CSS.
//
// Shared Sass variables, which can be used to adjust Ionic's
// default Sass variables, belong in "theme/variables.scss".
//
// To declare rules for a specific mode, create a child rule
// for the .md, .ios, or .wp mode classes. The mode class is
// automatically applied to the <body> element in the app.

@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600,700,800');

body,
html,
h1,
h2,
h3,
h4,
h5,
h6,
li,
* {
    font-family: 'Montserrat', sans-serif;
}

$theme-color: #0dc6ab;
$header-bg: $theme-color;
$header-text: #fff;
$yellow-color: #ffca28;
$white-color: #fff;
$form-bg:#f3f3f3;
$light-color:#f3f3f3;
$text-dark:#4c4c4c;
$text-medium:#888;
$text-light:#bfbfbf;
$bg-light:#f2f2f2;
$white: #fff;

h1.menu {
    line-height: 15px !important;
}

h3 {
    font-size: 18px;
    font-weight: normal;
    line-height: 10px;
    padding: 14px 0 0 0;
    margin: 0px;
}

h4 {
    font-size: 16px;
    line-height: 23px;
}

p {
    font-size: 15px !important;
}

ion-item {
    h2 {
        padding: 10px 0 10px 0;
    }

    p {
        padding: 4px 0 14px 0;
    }
}

ion-card {
    h2 {
        font-size: 18px !important;
    }
}

ion-select{
    max-width: 100%;
}

.scroll-content {
    overflow: hidden;
    overflow-y: auto;
}

.img-round {
    border-radius: 50%;
}


//---------------- Text 

.back-button,
.text-white {
    color: $white-color;
}

.text-theme {
    color: $theme-color !important;
}

.text-dark {
    color: $text-dark;
}

.text-yellow {
    color: $yellow-color;
}

.text-light {
    color: $text-light;
}

.text-medium {
    color: $text-medium;
}

.text-center {
    text-align: center !important;
}

.bg-theme {
    background: $theme-color;
}

.bg-light {
    background: $light-color;
}

.bg-stop {
    background: #ff6868;
}

.text-align-right{
    text-align: right;
}

h1.jumbo {
    font-size: 70px;
}

h2.allcaps {
    text-transform: uppercase;
    font-size: 20px;
}

.small-text {
    font-size: 12px;
    font-weight: normal !important; 
}

.tiny-text {
    font-size: 10px !important;
    font-weight: normal !important; 
}

.bigger-text {
    font-size: 16px !important;
    line-height: 30px;
    vertical-align: middle;
}


//------------- Extra Padding

.extra-top-pad {
    padding-top: 15% !important;
}

.pad-top {
    padding-top: 25% !important;
}

.top-mar-20 {
    margin-top: 20px;
}

.pad-10 {
    padding-top: 10px;
    padding-bottom: 10px;
}

.pad-20 {
    padding: 30px 0 30px 0;
}

.pad-sides{
    padding-right: 15%;
    padding-left: 15%;
}

.pad-sides-10 {
    padding-right: 10%;
    padding-left: 10%;
}

.pad-all-10{
    padding: 10%;
}

.pad-bottom {
    padding-bottom: 20px;
}

.remove-margin {
    margin-top: -25px;
}

.add-lines {
    border-top: 1px solid #eee;
    border-bottom: 1px solid #eee;
}

.float-right {
    float:right;
}

.float-left {
    float:left;
}

.swiper-slide {
        overflow-y: scroll;
        display: block;
}


//--------- Special Size Icons

ion-icon {
  &[class*="icon-big"] {
    font-size: 30px;
    margin-right: 10px;
    }
  &[class*="icon-big-2"] {
    font-size: 30px;
    line-height: 28px;
    margin-right: 10px;
    vertical-align: top;
    }
  &[class*="icon-big-color"] {
    font-size: 50px;
    color: #aaa !important;
    background: none !important;
    }
  &[class*="icon-big-red"] {
    font-size: 30px;
    color: red !important;
    background: none !important;
    }
  &[class*="icon-big-grey"] {
    font-size: 30px;
    color: #bbb !important;
    background: none !important;
    }
}

.modal-title {
    margin: 8px 0 0 28px;
}

.modal-close {
    margin: 0 10px 0 0;
}

.no-border {
    border: none !important;
}

//--------- Buttons

.btn {
    text-transform: uppercase;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: 1px;
    height: 50px;
    box-shadow: 1px 2px 3px rgba(0, 0, 0, 0.2);

    // Used for facebook login button
    &.small {
        font-size: 1.4rem;
        height: 50px;
        font-weight: 600;
        letter-spacing: 0px;
        text-transform: capitalize;
        ion-icon { 
            margin-right: auto;
            font-size: 1rem;
            margin-left: 5px;
        }
        span {
            margin: auto;
        }
    }
}

.rounded {
    border-radius: 15px;
}

.rounded-2 {
    border-radius: 10px;
}

.rounded-3 {
    border-radius: 5px;
}

.view_profile{
    padding: 0px;
}

.priceIcons{

    width: 60px;
    height: 50px;
    font-weight: bold;
    color: white;
    background-color: transparent;
    margin: 0 !important;
    padding: 0 !important;

    .grey-circle {
        border-radius: 50%;
        width: 40px;
        height: 40px;
        font-weight: bold;
        background-color: #ccc;
        color: white;
        font-size: 35px;
        line-height: 40px;
    }
}

.priceIcons_big{

    width: 75px;
    height: 60px;
    font-weight: bold;
    color: white;
    background-color: transparent;
    margin: 0 !important;
    padding: 0 !important;

    .grey-circle {
        border-radius: 50%;
        width: 45px;
        height: 45px;
        font-weight: bold;
        background-color: #eee;
        color: #888;
        font-size: 37px;
        line-height: 45px;
        margin: 0 !important;
        padding: 0 !important;
    }
}

#button-float-left{
        width: 70px;
        position: absolute;
        bottom: 15px;
        left: 15px;
        z-index: 999;
        color: primary;
    }
#button-float{
    width: 120px;
    position: absolute;
    bottom: 15px;
    right: 15px;
    z-index: 999;
}
#button-float-create{
    width: 150px;
    position: absolute;
    bottom: 15px;
    right: 15px;
    z-index: 999;
}


//------------ Avatar 

.item-md h3{
    font-size: 1.5em;
}
.alt-avatar {
    text-align: center;
    width: 100%;
}
.alt-avatar img {
  border-radius: 50%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 30%;
}

.alt-avatar-2 {
    text-align: center;
    width: 100%;
}
.alt-avatar-2 img {
  border-radius: 50%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 80%;
}

.button-textlink {
    text-transform: capitalize !important;
    font-size: 1.4rem;
    font-weight: 400;
    margin-top: 0;
    padding: 0 0 20px 0;
}


//---------- Backgrounds


.back-image {
    background-image : url('../assets/imgs/ridesurf_splash_bg.jpg'); 
    background-size: cover;
    background-position: top center;
}

.grey-background {
    background-color: #eee;
}

.transparent.header {
    background: transparent;
    margin-top: 10px;
    color: $theme-color;

    .toolbar-background {
        background: transparent;
        border: none !important;
    }
    &::after {
        display: none;
    }

    ion-icon {
        color: $white-color;
    }

    ion-icon.back-button-icon.icon {
    color: $theme-color;
    }
}

.header {
    background: $theme-color;
    color: $white-color;
    text-align: center;

    .toolbar-background {
        background: $theme-color;
        border: none !important;
    }
    &::after {
        display: none;
    }

    ion-icon {
        color: $white-color;
    }
}

.header.bg-theme {
    .text-center {
        text-align: center !important;
    }
    .toolbar-title {
        color: $white-color !important;
    }
}

ion-title {
    color: $white-color !important;
}


.title {
    color: $white-color !important;
}

ion-navbar{
    color: $white-color !important;
}


//----------- Toolbar Title

.toolbar-title {
    font-size: 1.65rem !important;
    text-transform: uppercase;
    color: $white-color !important;
}


//---------- Left Back Navigation Arrow

ion-header ion-icon.back-button-icon.icon {
    color: $theme-color;
    margin-left: 10px;
}


//---------- Tab bottom border

.tabs-striped {
    .tabbar {
        background-color: #fff !important;
        text-transform: uppercase !important;
        font-size: 9px !important;
    }
    .tab-button {
        color: #bbb;
    }

    .tab-button[aria-selected=true] {
    color: #555;
    border-bottom: 2px solid $theme-color;
}
}


//---------- Form Style

.form {
    overflow: hidden;
    margin-top: 40px;

    .item {
        border-top: none !important;
    }
    .text-input-wp {
        border: none;
    }

    ion-item {
        padding: 3px;
        background: $form-bg;
        border-radius: 15px;
        margin-bottom: 15px;
        border-bottom: none !important;

        &:last-child {
            border-bottom: none !important;
            .item-inner {
                border-bottom: none !important;
            }
        }
        .item-inner {
            padding: 0 !important;
            border-bottom: none !important;
            .input-wrapper {
                padding-left: 16px;
                padding-right: 16px;
                .label {
                    font-size: 1.4rem;
                    font-weight: 400;
                    color: $text-medium;
                }
                ion-input {
                    font-size: 1.5rem;
                    font-weight: 500;
                }
            }
        }
    }
    .input-has-focus {
        box-shadow: none !important;
        .item-inner {
            box-shadow: none !important;
            border-bottom-color: #dedede !important;
        }
    }
}

.ion-item-form-style {
    padding: 14px 0 7px 15px !important;
    background: $form-bg;
    border-radius: 15px;
    margin-bottom: 15px;
    border-bottom: none !important;
    min-height: 40px !important;
}

.ion-label-style {
    font-size: 11px;
    color: #888;
    padding: 4px;
}


.main-search-form {
    padding: 20% 0 0 4%;
    width: 96%;

    ion-item {
        background: $white-color;
        border-radius: 8px;
        border: 1px solid #fff !important;
    }

    ion-list {
        padding: 3px;
        background: $white-color;
        border-radius: 8px;
    }
}

.search-locations {
    ion-item {
        padding: 0;
        margin: 0 2% 0 2%;
        width: 96%;
        background: none;
        border-radius: 0 !important;
        border-bottom: 1px solid #ccc !important;

        &:last-child {
            border-bottom: none !important;
            .item-inner {
                border-bottom: none !important;
            }
        }
        &:first-child {
            border-bottom: none !important;
            .item-inner {
                border-bottom: none !important;
            }
        }
    }
}

.search-date {

margin-bottom: 30px;
    ion-item {

        &:last-child {
            border-bottom: none !important;
            .item-inner {
                border-bottom: none !important;
            }
        }
        &:first-child {
            border-bottom: none !important;
            .item-inner {
                border-bottom: none !important;
            }
        }
    }
}

.search-airport {
    ion-item {
        background: none;
        color: #fff;
        border: none !important;
        }
}

ion-textarea {
    padding: 5px !important;
    
}



//---------- Login / Sign up Pages

.login {
    width: 100%;
    padding: 7%;
}


//---------- Menu 

.menu-user{
    text-align: center !important;

    h1 {
        margin-top: 7px;
    }
}

.main-menu {

    margin: 20px 0 0 10px;

    button {
        font-size: 15px;
        letter-spacing: 1px;
        margin-left: 20px;
        font-weight: normal;
    }

    ion-item {
        padding: 5px;
        margin-left: 40px;
        border: none !important;
    }

    ion-icon {
        font-size: 26px;
        color: $theme-color !important;
    }

}


//-------- Home Screen After Login

ion-header ion-icon.back-button-icon.icon{
    color:white;
}

//-------- Custom Icons

ion-icon {
  &[class*="custom-"] {
    mask-size: contain;
    mask-position: 50% 50%;
    mask-repeat: no-repeat;
    background: $theme-color;
    width: 1em;
    height: 1em;
  }

  &[class*="custom-drive"] {
    mask-image: url(../assets/steering-wheel.svg);
  }
  &[class*="custom-ride"] {
    mask-image: url(../assets/seat-belt.svg);
  }
  &[class*="custom-calendar"] {
    mask-image: url(../assets/calendar.svg);
    background: $theme-color;
  }
    &[class*="custom-car"] {
    mask-image: url(../assets/car.svg);
    background: $theme-color;
  }
}

.ride-search-notfound{
    
    margin-top: 20%;
    margin-bottom: 15%;

}


//---------- Card list style

.list-ios[inset]{
    margin: 0 !important;
}

ion-app.ios [padding] .scroll-content{
    padding: 1px;
}

.rides {

    margin-top: 0 !important;

    .card-ios, .card-md {
        box-shadow: none;
        border: 1px solid rgba(0, 0, 0, 0.15);
        border-radius: 10px;

    }
    .card-content-md{

    }
    ion-app.md [padding] .scroll-content{
        padding: 0;
    }
}

page-message-list .card-md{
    width:100%;
}

.img-avatar img{
    border-radius: 50%;
    width: 75%;
    margin-left: auto;
    margin-right: auto;
}

.payment{
    ion-app.md [padding] .scroll-content{
        padding: 1px;
    }

}


//---------- Custom Modal

ion-modal {
    @media (min-height: 500px) {
        ion-backdrop {
            visibility: visible;
        }
    }
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: $z-index-overlay;
    display: flex;
    align-items: center;
    justify-content: center;
    contain: strict;
    .modal-wrapper {
        &,
        .ion-page,
        .ion-page .content,
        .ion-page .content .scroll-content {
            contain: content;
            position: relative;
            top: auto;
            left: auto;
        }
        z-index: $z-index-overlay-wrapper;
        display: flex;
        flex-direction: column;
        min-width: $alert-min-width;
        opacity: 0;
        height: auto;
        padding: 5px;
        max-width: 92%;
        border-radius: 15px;
        background-color: #fff;
        box-shadow: none;
        .ion-page .content {
            background-color: $background-color;
        }
    }
    ion-item {
        p {
            text-overflow: unset;
            overflow: visible;
        }
    }
    ion-label {
        overflow: visible;
        text-overflow: unset;
        white-space: normal;
    }
}

.payment {

    ion-card {
        margin-top: 0px;
        padding: 30px !important;
        box-shadow: none !important;
        position: relative;
        overflow: visible;
        h1 {
            font-size: 4rem;
            margin-top: 2.5rem;
            margin-bottom: 1.5rem;
            color: #0fc874;
            font-weight: 600;
        }
        h4 {
            font-size: 1.4rem;
            font-weight: 600;
            margin-bottom: 10px;
        }
        p {
            font-size: 1.1rem;
            color: $text-light;
        }
        &.slip {
            margin-bottom: 20px;
            &::after {
                content: '';
                display: block;
                width: 100%;
                position: absolute;
                height: 12px;
                background: url(../assets/imgs/border-down.jpg);
                background-repeat: repeat-x;
                background-size: 15px;
                left: 0;
                bottom: -10px;
            }
        }
        &.rate {
            padding-top: 10px;
            &::after {
                content: '';
                display: block;
                width: 100%;
                position: absolute;
                height: 12px;
                background: url(../assets/imgs/border-up.jpg);
                background-repeat: repeat-x;
                background-size: 15px;
                left: 0;
                top: -6px;
            }
        }
    }
}



//------- Ride Listings

.picker-opt{
    overflow: visible !important;
}
.ride-detail {
    position: relative;
    margin-bottom: 1rem;
    p {
        font-size: 1.6rem;
        text-align: left;
        padding-left: 40px;
        position: relative;
        color: $text-dark;
        /*white-space: nowrap; is Breaking long text*/
        overflow: hidden;
        text-overflow: ellipsis;
        width: 100%;
        .time {
            width: 100px;
            display: inline-block;
            text-align: center;
            padding-left: 14px;
        }
        .icon-location {
            position: absolute;
            left: 10px;
            top: 0;
            width: 10px;
            height: 10px;
            border-radius: 50%;
            display: inline-block;
            bottom: 0;
            margin: auto;
        }
    }
    &::before {
        content: '';
        display: block;
        width: 1px;
        height: 20px;
        background: #999;
        position: absolute;
        left: 14px;
        top: 0;
        bottom: 0;
        margin: auto;
    }
}


//----------- Red Warning / Alert Box

.action-notice {
    background: #ffe6e6;
    border: 1px solid #f4cdcd;
    border-radius: 10px;
    padding: 20px;
}


.badge {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    margin-left: 4px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #777;
    border-radius: 10px;
}
